;************************************************************************
;*		       File: PTIMER.ASM					*
;*		Description: Main file					*
;************************************************************************

; This program is used for a simple physiotherapy timer for back excercises
; 1. Lift one leg up for 30 seconds
; 2. Lift other leg up for 30 seconds
; 3. Repeat above two steps 4 more times


; The piezo beeper will sound:
; - quickly once per second
; - for one second at end of each leg

; The system will make a long beep at the end and shut down.



;System settings
	;  Clock Frequency =about 32.768 KHz (RC clock)
	;Instruction Cycle =about 30.5 uS
	; remnant from windows mpasm    errorlevel 1,-302
	PROCESSOR	16F84
	include "P16F84.INC"	;Directives specific to this processor
	include	"define.h"	;Definitions of variables
	include	"macros.asm"	;Macros

	org	0x000
	goto	INIT

	org	0x004
	include	"intrrpt.asm"	;Interrupt routine

	org	0x100
	include	"init.asm"	;Initialization

	org	0x200
	include	"main.asm"	;Main software

	END

